Upstream information

CVE-2017-5507 at MITRE

Description

Memory leak in coders/mpc.c in ImageMagick before 6.9.7-4 and 7.x before 7.0.4-4 allows remote attackers to cause a denial of service (memory consumption) via vectors involving a pixel cache.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.79 4.30
Vector AV:N/AC:L/Au:N/C:N/I:N/A:C AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Complete Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entry: 1020439 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • ImageMagick >= 6.8.8.1-59.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-59.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-59.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-59.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-59.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-273
SUSE Linux Enterprise Desktop 12 SP2
  • ImageMagick >= 6.8.8.1-59.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-59.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-59.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-59.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-59.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-273
SUSE Linux Enterprise Server 11 SP4
  • ImageMagick >= 6.4.3.6-7.65.1
  • libMagickCore1 >= 6.4.3.6-7.65.1
  • libMagickCore1-32bit >= 6.4.3.6-7.65.1
Patchnames:
slessp4-ImageMagick-12998
SUSE Linux Enterprise Server 12 SP1
  • ImageMagick >= 6.8.8.1-59.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-59.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-59.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-273
SUSE Linux Enterprise Server 12 SP2
  • ImageMagick >= 6.8.8.1-59.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-59.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-59.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-273
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • ImageMagick >= 6.8.8.1-59.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-59.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-59.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-273
SUSE Linux Enterprise Software Development Kit 11 SP4
  • ImageMagick >= 6.4.3.6-7.65.1
  • ImageMagick-devel >= 6.4.3.6-7.65.1
  • libMagick++-devel >= 6.4.3.6-7.65.1
  • libMagick++1 >= 6.4.3.6-7.65.1
  • libMagickWand1 >= 6.4.3.6-7.65.1
  • libMagickWand1-32bit >= 6.4.3.6-7.65.1
  • perl-PerlMagick >= 6.4.3.6-7.65.1
Patchnames:
sdksp4-ImageMagick-12998
SUSE Linux Enterprise Software Development Kit 12 SP1
  • ImageMagick >= 6.8.8.1-59.1
  • ImageMagick-devel >= 6.8.8.1-59.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-59.1
  • libMagick++-devel >= 6.8.8.1-59.1
  • perl-PerlMagick >= 6.8.8.1-59.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-273
SUSE Linux Enterprise Software Development Kit 12 SP2
  • ImageMagick >= 6.8.8.1-59.1
  • ImageMagick-devel >= 6.8.8.1-59.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-59.1
  • libMagick++-devel >= 6.8.8.1-59.1
  • perl-PerlMagick >= 6.8.8.1-59.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-273
SUSE Linux Enterprise Workstation Extension 12 SP1
  • ImageMagick >= 6.8.8.1-59.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-59.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-59.1
Patchnames:
SUSE-SLE-WE-12-SP1-2017-273
SUSE Linux Enterprise Workstation Extension 12 SP2
  • ImageMagick >= 6.8.8.1-59.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-59.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-59.1
Patchnames:
SUSE-SLE-WE-12-SP2-2017-273
openSUSE Leap 42.1
  • ImageMagick >= 6.8.8.1-30.1
  • ImageMagick-debuginfo >= 6.8.8.1-30.1
  • ImageMagick-debugsource >= 6.8.8.1-30.1
  • ImageMagick-devel >= 6.8.8.1-30.1
  • ImageMagick-devel-32bit >= 6.8.8.1-30.1
  • ImageMagick-doc >= 6.8.8.1-30.1
  • ImageMagick-extra >= 6.8.8.1-30.1
  • ImageMagick-extra-debuginfo >= 6.8.8.1-30.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-30.1
  • libMagick++-6_Q16-3-32bit >= 6.8.8.1-30.1
  • libMagick++-6_Q16-3-debuginfo >= 6.8.8.1-30.1
  • libMagick++-6_Q16-3-debuginfo-32bit >= 6.8.8.1-30.1
  • libMagick++-devel >= 6.8.8.1-30.1
  • libMagick++-devel-32bit >= 6.8.8.1-30.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-30.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-30.1
  • libMagickCore-6_Q16-1-debuginfo >= 6.8.8.1-30.1
  • libMagickCore-6_Q16-1-debuginfo-32bit >= 6.8.8.1-30.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-30.1
  • libMagickWand-6_Q16-1-32bit >= 6.8.8.1-30.1
  • libMagickWand-6_Q16-1-debuginfo >= 6.8.8.1-30.1
  • libMagickWand-6_Q16-1-debuginfo-32bit >= 6.8.8.1-30.1
  • perl-PerlMagick >= 6.8.8.1-30.1
  • perl-PerlMagick-debuginfo >= 6.8.8.1-30.1
Patchnames:
openSUSE-2017-303
openSUSE Leap 42.2
  • ImageMagick >= 6.8.8.1-28.1
  • ImageMagick-debuginfo >= 6.8.8.1-28.1
  • ImageMagick-debugsource >= 6.8.8.1-28.1
  • ImageMagick-devel >= 6.8.8.1-28.1
  • ImageMagick-devel-32bit >= 6.8.8.1-28.1
  • ImageMagick-doc >= 6.8.8.1-28.1
  • ImageMagick-extra >= 6.8.8.1-28.1
  • ImageMagick-extra-debuginfo >= 6.8.8.1-28.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-28.1
  • libMagick++-6_Q16-3-32bit >= 6.8.8.1-28.1
  • libMagick++-6_Q16-3-debuginfo >= 6.8.8.1-28.1
  • libMagick++-6_Q16-3-debuginfo-32bit >= 6.8.8.1-28.1
  • libMagick++-devel >= 6.8.8.1-28.1
  • libMagick++-devel-32bit >= 6.8.8.1-28.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-28.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-28.1
  • libMagickCore-6_Q16-1-debuginfo >= 6.8.8.1-28.1
  • libMagickCore-6_Q16-1-debuginfo-32bit >= 6.8.8.1-28.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-28.1
  • libMagickWand-6_Q16-1-32bit >= 6.8.8.1-28.1
  • libMagickWand-6_Q16-1-debuginfo >= 6.8.8.1-28.1
  • libMagickWand-6_Q16-1-debuginfo-32bit >= 6.8.8.1-28.1
  • perl-PerlMagick >= 6.8.8.1-28.1
  • perl-PerlMagick-debuginfo >= 6.8.8.1-28.1
Patchnames:
openSUSE-2017-303